# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['dino_seedwork_be',
 'dino_seedwork_be.adapters',
 'dino_seedwork_be.adapters.logger',
 'dino_seedwork_be.adapters.messaging',
 'dino_seedwork_be.adapters.messaging.client_notification',
 'dino_seedwork_be.adapters.messaging.notification',
 'dino_seedwork_be.adapters.persistance',
 'dino_seedwork_be.adapters.persistance.key_value',
 'dino_seedwork_be.adapters.persistance.sql',
 'dino_seedwork_be.application',
 'dino_seedwork_be.domain',
 'dino_seedwork_be.domain.event',
 'dino_seedwork_be.domain.value_object',
 'dino_seedwork_be.fp',
 'dino_seedwork_be.implementation.adapter',
 'dino_seedwork_be.implementation.adapter.messaging',
 'dino_seedwork_be.implementation.adapter.messaging.firebase',
 'dino_seedwork_be.implementation.adapter.messaging.rabbitmq',
 'dino_seedwork_be.implementation.adapter.rest',
 'dino_seedwork_be.implementation.adapter.rest.fastapi',
 'dino_seedwork_be.implementation.adapter.storage',
 'dino_seedwork_be.implementation.adapter.storage.key_value',
 'dino_seedwork_be.implementation.adapter.storage.sql',
 'dino_seedwork_be.implementation.adapter.storage.sql.alchemy',
 'dino_seedwork_be.implementation.adapter.storage.sql.alchemy.util',
 'dino_seedwork_be.implementation.application',
 'dino_seedwork_be.implementation.event',
 'dino_seedwork_be.implementation.event.sqlalchemy',
 'dino_seedwork_be.logic',
 'dino_seedwork_be.media',
 'dino_seedwork_be.process',
 'dino_seedwork_be.repository',
 'dino_seedwork_be.serializer',
 'dino_seedwork_be.types',
 'dino_seedwork_be.utils',
 'dino_seedwork_be.utils.process',
 'dino_seedwork_be.utils.test']

package_data = \
{'': ['*']}

install_requires = \
['Faker>=14.1.0,<15.0.0',
 'Pillow>=9.2.0,<10.0.0',
 'PyJWT[crypto]>=2.4.0,<3.0.0',
 'SQLAlchemy[asyncio]>=1.4.37,<2.0.0',
 'asyncpg>=0.25.0,<0.26.0',
 'fastapi==0.85.0',
 'firebase-admin>=6.0.1,<7.0.0',
 'google-cloud-storage>=2.4.0,<3.0.0',
 'greenlet>=1.1.2,<2.0.0',
 'hiredis>=2.2.2,<3.0.0',
 'httpx>=0.23.0,<0.24.0',
 'importlib-resources>=5.7.1,<6.0.0',
 'jsonpickle>=2.2.0,<3.0.0',
 'multimethod>=1.9,<2.0',
 'multipledispatch>=0.6.0,<0.7.0',
 'pika>=1.3.1,<2.0.0',
 'pre-commit>=2.20.0,<3.0.0',
 'psycopg2>=2.9.3,<3.0.0',
 'pydantic>=1.9.0,<2.0.0',
 'pyramda>=0.1,<0.2',
 'pytest-asyncio>=0.18.3,<0.19.0',
 'python-dateutil>=2.8.2,<3.0.0',
 'python-dotenv>=0.20.0,<0.21.0',
 'python-multipart>=0.0.5,<0.0.6',
 'pytz>=2022.1,<2023.0',
 'redis>=4.5.1,<5.0.0',
 'respx>=0.19.2,<0.20.0',
 'returns>=0.20.0,<0.21.0',
 'sqlalchemy-utils>=0.38.3,<0.39.0',
 'toolz>=0.11.2,<0.12.0',
 'uvicorn[standard]>=0.17.6,<0.18.0',
 'validators>=0.19.0,<0.20.0']

setup_kwargs = {
    'name': 'dinohub-seedwork-be',
    'version': '0.1.56',
    'description': 'A seedwork for DinoHub service',
    'long_description': '# DINO hub seedwork\n\nThis is a package contains\n  * DDD (Domain Driven Design) artifact\n  * Functional programming with Returns\n  * Basic helpers function\n\n## Install\n\n`dinohub-seedwork-be` is available on PyPi:\n\n```\npip install dinohub-seedwork-be\n```\n\nSee at here: https://pypi.org/project/dinohub-seedwork-be/\n',
    'author': 'Tuan Cau Rao',
    'author_email': 'None',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.10,<4.0',
}


setup(**setup_kwargs)
